import './public-path'

import Vue from 'vue';
import axios from "axios";
// import "sv-print/dist/style.css";
import ElementUI from 'element-ui';
import App from './App.vue';
import router from './router';
import store from './store';
import api from './api/api'
import tool from './utils/tool'
import basicData from './utils/basic-data'

import FileType from './utils/matchingFeilType'
import upload from './api/upload'

import './style/style.css'
import './style/theme/index.css'
import tableLayout from './components/dynamic-table'
import basicLayout from './components/normal-basic-layout'
import normalLayout from './components/normal-basic-layout/normal.vue'
import basicDetails from './components/normal-basic-layout/details'
import deleteBtn from './components/delete_btn/index'
import customBtn from './components/customBtn/index'
import tagPanl from '@/components/tagPanl/tagPanl'


import sort from './components/sort'
import '@/style/theme/font-icon/iconfont.css'
// import {hiPrintPlugin} from './index'
// Vue.use(hiPrintPlugin)
Vue.prototype.$api = api

Vue.prototype.$baseUrl = 'http://61.164.207.46:8000'

Vue.prototype.$upload = upload

Vue.prototype.tool = tool

Vue.prototype.basicData = basicData

Vue.prototype.fileType = FileType

Vue.prototype.$axios = axios

Vue.prototype.tableHieght = 'calc(100vh - 302px)'

Vue.config.productionTip = false;

Vue.component('tableLayout', tableLayout)

Vue.component('basicLayout', basicLayout)

Vue.component('basicDetails', basicDetails)
Vue.component('normalLayout', normalLayout)
Vue.component('deleteBtn',deleteBtn)
Vue.component('customBtn',customBtn)

Vue.component('sort', sort)
/* 标签组件 */
Vue.component('tagPanl',tagPanl)

Vue.use(ElementUI);
ElementUI.Dialog.props.closeOnClickModal.default = false; 

new Vue({
  router,
  store,
  render: (h) => h(App),
}).$mount('#app');
