const HDrpManagement = [
  {
    path: '/logisticcom',
    name: 'logisticcom',
    meta: {
      title: '物流公司',
      ast_nav: true,
      keeproute: true,
    },
    component: () => import(/* webpackChunkName: "about" */ '@/HDrpManagement/logisticcom/index'),
  },
  {
    path: '/ordermag',
    name: 'ordermag',
    meta: {
      title: '订单管理',
      ast_nav: true,
      keeproute: true,
    },
    component: () => import(/* webpackChunkName: "about" */ '@/HDrpManagement/orderManage/index'),
    children:[
      {
        path: '/orderdetail',
        name: 'ordermag',
        meta: {
          title: '订单详情',
          ast_nav: true,
        },
        component: () => import(/* webpackChunkName: "about" */ '@/HDrpManagement/orderManage/details/index'),
      },
    ]
  },
  {
    path: '/rebatesettlement',
    name: 'rebatesettlement',
    meta: {
      title: '居间费结算单',
      ast_nav: true,
      keeproute: true,
    },
    component: () => import(/* webpackChunkName: "about" */ '@/HDrpManagement/rebatesettlement/index'),
    children:[
      {
        path: '/rebatesettlement_detail',
        name: 'rebatesettlement',
        meta: {
          title: '居间费结算单',
          ast_nav: true,
        },
        component: () => import(/* webpackChunkName: "about" */ '@/HDrpManagement/rebatesettlement/details/index'),
      },
    ]
  },
  {
    path: '/dispatch',
    name: 'dispatch',
    meta: {
      title: '发货单',
      ast_nav: true,
      keeproute: true,
    },
    component: () => import(/* webpackChunkName: "about" */ '@/HDrpManagement/dispatch/index'),
    children:[
      {
        path: '/dispatchdetail',
        name: 'dispatch',
        meta: {
          title: '订单详情',
          ast_nav: true,
        },
        component: () => import(/* webpackChunkName: "about" */ '@/HDrpManagement/dispatch/details/index'),
      },
    ]
  },
  {
    path: '/logistics',
    name: 'logistics',
    meta: {
      title: '物流单',
      ast_nav: true,
      keeproute: true,
    },
    component: () => import(/* webpackChunkName: "about" */ '@/HDrpManagement/logistics/index'),
    children:[
      {
        path: '/logisticsdetail',
        name: 'logistics',
        meta: {
          title: '订单详情',
          ast_nav: true,
        },
        component: () => import(/* webpackChunkName: "about" */ '@/HDrpManagement/logistics/details/index'),
      },
    ]
  },
  {
    path: '/stock',
    name: 'stock',
    meta: {
      title: '仓库管理',
      ast_nav: true,
    },
    component: () => import(/* webpackChunkName: "about" */ '@/HDrpManagement/stock/index'),
  },
  {
    path: '/brandmag',
    name: 'brandmag',
    meta: {
      title: '品牌管理',
      ast_nav: true,
    },
    component: () => import(/* webpackChunkName: "about" */ '@/HDrpManagement/BrandManage/index'),
  },
  {
    path: '/sm_unit',
    name: 'unit',
    meta: {
      title: '计量单位',
      ast_nav: true,
      keeproute: true,
    },
    component: () => import(/* webpackChunkName: "about" */ '@/HDrpManagement/unit/index'),
  },
  {
    path: '/productgroupmag',
    name: 'productgroupmag',
    meta: {
      title: '商品组管理',
      ast_nav: true,
      keeproute: true,
    },
    component: () => import(/* webpackChunkName: "about" */ '@/HDrpManagement/ProductGroupMag/index'),
    children: [
      {
        path: '/productGroupDetail',
        name: 'productgroupmag',
        meta: {
          title: '商品组详情',
          ast_nav: true,
          keeproute: true,
        },
        component: () => import(/* webpackChunkName: "about" */ '@/HDrpManagement/ProductGroupMag/modules/details'),
      },
    ]
  },
  {
    path: '/productmag',
    name: 'productmag',
    meta: {
      title: '商品管理',
      ast_nav: true,
      keeproute: true,
    },
    component: () => import(/* webpackChunkName: "about" */ '@/HDrpManagement/ProductMag/index'),
    children: [
      {
        path: '/productmagDetail',
        name: 'productmag',
        meta: {
          title: '商品管理详情',
          ast_nav: true,
          keeproute: true,
        },
        component: () => import(/* webpackChunkName: "about" */ '@/HDrpManagement/ProductMag/detail/index')
      }
    ]
  }, {
    path: '/sm_saleclass',
    name: 'saleclass',
    meta: {
      title: '营销类别管理',
      ast_nav: true,
      keeproute: true,
    },
    component: () => import(/* webpackChunkName: "about" */ '@/HDrpManagement/saleclass/index'),
  },{
    path: '/prodectFileData',
    name: 'prodectFileData',
    meta: {
      title: '产品技术资料',
      ast_nav: true,
      keeproute: true,
    },
    component: () => import(/* webpackChunkName: "about" */ '@/HDrpManagement/prodectFileData/index'),
    children: [
      {
        path: '/relation',
        name:'prodectFileData',
        meta: {
          title: '技术资料关联商品',
          ast_nav: true,
          keeproute: true,
        },
        component: () => import(/* webpackChunkName: "about" */ '@/HDrpManagement/prodectFileData/modules/relation')
      }
    ]
  },{
    path: '/accountclass',
    name: 'accountclass',
    meta: {
      title: '营销账户类型',
      ast_nav: true,
      keeproute: true,
    },
    component: () => import(/* webpackChunkName: "about" */ '@/HDrpManagement/accountclass/index')
  },{
    path: '/payvoucher',
    name: 'payvoucher',
    meta: {
      title: '支出凭证',
      ast_nav: true,
      keeproute: true
    },
    component: () => import('@/HDrpManagement/payvoucher/index'),
    children: [
      {
        path: '/payvoucherDetails',
        name: 'payvoucher',
        meta: {
          title: '支出凭证详情',
          ast_nav: true,
          keeproute: true
        },
        component: () => import('@/HDrpManagement/payvoucher/details/index')
      }
    ]
  },{
    path: '/recvoucher',
    name: 'recvoucher',
    meta: {
      title: '收入凭证',
      ast_nav: true,
      keeproute: true
    },
    component: () => import('@/HDrpManagement/recvoucher/index'),
    children: [
      {
        path: '/recvoucherDetails',
        name: 'recvoucher',
        meta: {
          title: '收入凭证详情',
          ast_nav: true,
          keeproute: true
        },
        component: () => import('@/HDrpManagement/recvoucher/details/index'),
      }
    ]
  },{
    path: '/creditbilladj',
    name:'creditbilladj',
    meta: {
      title: '信用额度调整单',
      ast_nav: true,
      keeproute: true,
    },
    component: () => import(/* webpackChunkName: "about" */ '@/HDrpManagement/Creditbilladj/index'),
    children: [
      {
        path: '/creditbilladjDetail',
        name:'creditbilladj',
        meta: {
          title: '信用额度调整单详情',
          ast_nav: true,
          keeproute: true,
        },
        component: () => import(/* webpackChunkName: "about" */ '@/HDrpManagement/Creditbilladj/modules/details')
      },
    ]
  },{
    path: '/accountmoney',
    name:'accountmoney',
    meta: {
      title: '营销账户余额',
      ast_nav: true,
      keeproute: true,
    },
    component: () => import(/* webpackChunkName: "about" */ '@/HDrpManagement/AccountMoney/index')
  },{
    path: '/PrivateCustomer',
    name:'PrivateCustomer',
    meta: {
      title: '私域客户',
      ast_nav: true,
      keeproute: true,
    },
    component: () => import(/* webpackChunkName: "about" */ '@/HDrpManagement/privateCustomer/index')
  },{
    path: '/PrivateCustomerDetail',
    name:'PrivateCustomer',
    meta: {
      title: '私域客户详情',
      ast_nav: true,
      keeproute: true,
    },
    component: () => import(/* webpackChunkName: "about" */ '@/HDrpManagement/privateCustomer/modules/detail')
  },{
    path: '/PublicCustomer',
    name:'PublicCustomer',
    meta: {
      title: '公海客户',
      ast_nav: true,
      keeproute: true,
    },
    component: () => import(/* webpackChunkName: "about" */ '@/HDrpManagement/publicCustomer/index'),
    children:[
      {
        path: '/PublicCustomerDetail',
        name:'PublicCustomer',
        meta: {
          title: '公海客户详情',
          ast_nav: true,
          keeproute: true,
        },
        component: () => import(/* webpackChunkName: "about" */ '@/HDrpManagement/publicCustomer/modules/detail')
      },
    ]
  },{
    path: '/publicManage',
    name:'publicManage',
    meta: {
      title: '公海规则设置',
      ast_nav: true,
      keeproute: true,
    },
    component: () => import(/* webpackChunkName: "about" */ '@/HDrpManagement/publicManage/index')
  },{
    path: '/projectStage',
    name:'projectstage',
    meta: {
      title: '项目阶段管理',
      ast_nav: true,
      keeproute: true,
    },
    component: () => import(/* webpackChunkName: "about" */ '@/HDrpManagement/projectStageMag/index'),
  },{
    path: '/projectTask',
    name: 'projectTask',
    meta: {
      title: '项目工作任务管理',
      ast_nav: true,
      keeproute: true,
    },
    component:() => import(/* webpackChunkName: "about" */ '@/HDrpManagement/projectTask/index'),
    children: [
      {
        path: '/projectTaskDetail',
        name: 'projectTask',
        meta: {
          title: '项目工作任务管理详情',
          ast_nav: true,
          keeproute: true,
        },
        component:() => import(/* webpackChunkName: "about" */ '@/HDrpManagement/projectTask/detail/index'),
      }
    ]
  },{
    path: '/competitor',
    name: 'competitor',
    meta: {
      title: '竞争对手',
      ast_nav: true,
      keeproute: true,
    },
    component: () => import(/* webpackChunkName: "about" */ '@/HDrpManagement/competitor/index'),
    children: [
      {
        path: '/competitorDetail',
        name: 'competitor',
        meta: {
          title: '竞争对手详情',
          ast_nav: true,
          keeproute: true,
        },
        component: () => import(/* webpackChunkName: "about" */ '@/HDrpManagement/competitor/detail/index')
      }
    ]
  },{
    path: '/projectChange',
    name:'project',
    meta: {
      title: '项目商机',
      ast_nav: true,
      keeproute: true,
    },
    component: () => import(/* webpackChunkName: "about" */ '@/HDrpManagement/projectChange/index'),
    children:[
      {
        path: '/projectChangeDetail',
        name: 'project',
        meta: {
          title: '项目商机详情',
          ast_nav:true,
          keeproute: true
        },
        component: () => import(/* webpackChunkName: "about" */ '@/HDrpManagement/projectChange/modules/detail')
      }
    ]
  },{
    path: '/quotationDetail',
    name:'project',
    meta: {
      title: '报价单详情',
      ast_nav: true,
      keeproute: true,
    },
    component: () => import(/* webpackChunkName: "about" */ '@/HDrpManagement/projectChange/modules/modules/quotation/modules/detail')
  },{
    path: '/rivalDetail',
    name:'project',
    meta: {
      title: '竞争对手',
      ast_nav: true,
      keeproute: true,
    },
    component: () => import(/* webpackChunkName: "about" */ '@/HDrpManagement/projectChange//modules/modules/rival/modules/detail')
  },{
    path: '/productMoneyOdd',
    name:'productMoneyOdd',
    meta: {
      title: '商品价格调整单',
      ast_nav: true,
      keeproute: true,
    },
    component: () => import(/* webpackChunkName: "about" */ '@/HDrpManagement/productMoneyOdd/index'),
    children:[
      {
        path: '/productMoneyOddDetail',
        name: 'productMoneyOdd',
        meta: {
          title: '商品调整单详情',
          ast_nav:true,
          keeproute: true
        },
        component: () => import(/* webpackChunkName: "about" */ '@/HDrpManagement/productMoneyOdd/modules/detail')
      }
    ]
  },{
    path: '/contract_manage',
    name:'contract',
    meta: {
      title: '合同管理',
      ast_nav: true,
      keeproute: true,
    },
    component: () => import(/* webpackChunkName: "about" */ '@/HDrpManagement/contractManage/index'),
    children:[
      {
        path: '/contractDetail',
        name: 'contract',
        meta: {
          title: '合同详情',
          ast_nav:true,
          keeproute: true
        },
        component: () => import(/* webpackChunkName: "about" */ '@/HDrpManagement/contractManage/modules/detail')
      },
      {
        path: '/addContract',
        name: 'contract',
        meta: {
          title: '新增合同',
          ast_nav:true,
          keeproute: true
        },
        component: () => import(/* webpackChunkName: "about" */ '@/HDrpManagement/contractManage/components/addContract')
      },
    ]
  },{
    path: '/contract_model',
    name:'contractmodel',
    meta: {
      title: '合同模板',
      ast_nav: true,
      keeproute: true,
    },
    component: () => import(/* webpackChunkName: "about" */ '@/HDrpManagement/contractModel/index'),
    children: [
      {
        path: '/contractModelDetail',
        name:'contractmodel',
        meta: {
          title: '详情',
          ast_nav: true,
          keeproute: true,
        },
        component: () => import(/* webpackChunkName: "about" */ '@/HDrpManagement/contractModel/modules/detail')
      },
    ]
  },{
    path: '/reportcenter',
    name:'reportcenter',
    meta: {
      title: '报表中心',
      ast_nav: true,
      keeproute: true,
    },
    component: () => import(/* webpackChunkName: "about" */ '@/HDrpManagement/reportcenter/index'),
    children: [
      {
        path: '/contractModelDetail',
        name:'contractmodel',
        meta: {
          title: '详情',
          ast_nav: true,
          keeproute: true,
        },
        component: () => import(/* webpackChunkName: "about" */ '@/HDrpManagement/contractModel/modules/detail')
      },
    ]
  },{
    path: '/writeoffbill',
    name:'writeoffbill',
    meta: {
      title: '订单核销',
      ast_nav: true,
      keeproute: true,
    },
    component: () => import(/* webpackChunkName: "about" */ '@/HDrpManagement/writeoffbill/index'),
    children: [
      {
        path: '/writeoffbillDetail',
        name:'writeoffbill',
        meta: {
          title: '详情',
          ast_nav: true,
          keeproute: true,
        },
        component: () => import(/* webpackChunkName: "about" */ '@/HDrpManagement/writeoffbill/modules/detail')
      },
    ]
  },
  {
    path: '/invoiceapp',
    name:'invoiceapp',
    meta: {
      title: '开票申请',
      ast_nav: true,
      keeproute: true,
    },
    component: () => import(/* webpackChunkName: "about" */ '@/HDrpManagement/invoiceapp/index'),
    children: [
      {
        path: '/invoiceDetail',
        name:'invoiceapp',
        meta: {
          title: '开票申请单详情',
          ast_nav: true,
          keeproute: true,
        },
        component: () => import(/* webpackChunkName: "about" */ '@/HDrpManagement/invoiceapp/detail/detail')
      },
    ]
  },
  {
    path: '/remitvoucher',
    name:'remitvoucher',
    meta: {
      title: '打款凭证',
      ast_nav: true,
      keeproute: true,
    },
    component: () => import(/* webpackChunkName: "about" */ '@/HDrpManagement/remitvoucher/index'),
    children: [
      {
        path: '/remitvoucherDetail',
        name:'remitvoucher',
        meta: {
          title: '打款凭证详情',
          ast_nav: true,
          keeproute: true,
        },
        component: () => import(/* webpackChunkName: "about" */ '@/HDrpManagement/remitvoucher/modules/detail')
      },
    ]
  },{
    path: '/promotion',
    name:'promotion',
    meta: {
      title: '促销方案',
      ast_nav: true,
      keeproute: true,
    },
    component: () => import(/* webpackChunkName: "about" */ '@/HDrpManagement/promotion/index'),
    children: [
      {
        path: '/promotionDetail',
        name:'promotion',
        meta: {
          title: '促销方案详情',
          ast_nav: true,
          keeproute: true,
        },
        component: () => import(/* webpackChunkName: "about" */ '@/HDrpManagement/promotion/modules/detail')
      },
    ]
  },{
    path: '/salerPromotion',
    name:'salerPromotion',
    meta: {
      title: '促销方案(业务端)',
      ast_nav: true,
      keeproute: true,
    },
    component: () => import(/* webpackChunkName: "about" */ '@/HDrpManagement/salerPromotion/index'),
    // children: [
    //   {
    //     path: '/promotionDetail',
    //     name:'promotion',
    //     meta: {
    //       title: '促销方案详情',
    //       ast_nav: true,
    //       keeproute: true,
    //     },
    //     components: () => import(/* webpackChunkName: "about" */ '@/HDrpManagement/promotion/modules/detail')
    //   },
    // ]
  },{
    path: '/bankStatement',
    name:'bankStatement',
    meta: {
      title: '银企直连',
      ast_nav: true,
      keeproute: true,
    },
    component: () => import(/* webpackChunkName: "about" */ '@/HDrpManagement/bankStatement/index'),
    children: [
      {
        path: '/bankStatementDetail',
        name:'bankStatement',
        meta: {
          title: '银企直连详情',
          ast_nav: true,
          keeproute: true,
        },
        component: () => import(/* webpackChunkName: "about" */ '@/HDrpManagement/bankStatement/modules/detail')
      },
    ]
  },{
    path: '/aftersalesmag',
    name:'aftersalesmag',
    meta: {
      title: '返退单管理',
      ast_nav: true,
      keeproute: true,
    },
    component: () => import(/* webpackChunkName: "about" */ '@/HDrpManagement/afterSalesmag/index'),
    children: [
      {
        path: '/afterSalesmagDetail',
        name:'aftersalesmag',
        meta: {
          title: '返退单详情',
          ast_nav: true,
          keeproute: true,
        },
        component: () => import(/* webpackChunkName: "about" */ '@/HDrpManagement/afterSalesmag/modules/detail')
      },
    ]
  },{
    path: '/salerafterbill',
    name:'salerafterbill',
    meta: {
      title: '返退申请单',
      ast_nav: true,
      keeproute: true,
    },
    component: () => import(/* webpackChunkName: "about" */ '@/HDrpManagement/aftersalesBill/index'),
    children: [
      {
        path: '/aftersalesBillDetail',
        name:'salerafterbill',
        meta: {
          title: '返退申请单详情',
          ast_nav: true,
          keeproute: true,
        },
        component: () => import(/* webpackChunkName: "about" */ '@/HDrpManagement/aftersalesBill/modules/detail')
      },
    ]
  },{
    path: '/toolManage',
    name:'toolManage',
    meta: {
      title: '工具退还单管理',
      ast_nav: true,
      keeproute: true,
    },
    component: () => import(/* webpackChunkName: "about" */ '@/HDrpManagement/toolBillMag/index'),
    children: [
      {
        path: '/toolManageDetail',
        name:'toolManage',
        meta: {
          title: '工具退还单详情',
          ast_nav: true,
          keeproute: true,
        },
        component: () => import(/* webpackChunkName: "about" */ '@/HDrpManagement/toolBillMag/modules/detail')
      },
    ]
  },{
    path: '/toolBill',
    name:'toolBill',
    meta: {
      title: '工具退还申请单',
      ast_nav: true,
      keeproute: true,
    },
    component: () => import(/* webpackChunkName: "about" */ '@/HDrpManagement/toolBill/index'),
    children: [
      {
        path: '/toolBillDetail',
        name:'toolBill',
        meta: {
          title: '工具退还申请单详情',
          ast_nav: true,
          keeproute: true,
        },
        component: () => import(/* webpackChunkName: "about" */ '@/HDrpManagement/toolBill/modules/detail')
      },
    ]
  },{
    path: '/collectionRule',
    name:'collectionRule',
    meta: {
      title: '收款条件设置',
      ast_nav: true,
      keeproute: true,
    },
    component: () => import(/* webpackChunkName: "about" */ '@/HDrpManagement/collectionRule/index'),
    children: [
      {
        path: '/collectionRuleDetail',
        name:'collectionRule',
        meta: {
          title: '收款条件设置详情',
          ast_nav: true,
          keeproute: true,
        },
        component: () => import(/* webpackChunkName: "about" */ '@/HDrpManagement/collectionRule/modules/detail')
      },
    ]
  },{
    path: '/numbeManage',
    name:'numbeManage',
    meta: {
      title: '序列号管理',
      ast_nav: true,
      keeproute: true,
    },
    component: () => import(/* webpackChunkName: "about" */ '@/HDrpManagement/numberManage/index'),
    children: [
      {
        path: '/numberManageDetail',
        name:'collectionRule',
        meta: {
          title: '序列号管理详情',
          ast_nav: true,
          keeproute: true,
        },
        component: () => import(/* webpackChunkName: "about" */ '@/HDrpManagement/numberManage/modules/detail')
      },
    ]
  },
  {
    path: '/toolBorrowingMag',
    name:'toolBorrowingMag',
    meta: {
      title: '工具借用管理',
      ast_nav: true,
      keeproute: true,
    },
    component: () => import(/* webpackChunkName: "about" */ '@/HDrpManagement/toolBorrowingMag/index'),
    children: [
      {
        path: '/toolBorrowingMagDetail',
        name:'toolBorrowingMag',
        meta: {
          title: '工具借用管理',
          ast_nav: true,
          keeproute: true,
        },
        component: () => import(/* webpackChunkName: "about" */ '@/HDrpManagement/toolBorrowingMag/detail')
      },
    ]
  }
  
];
export default HDrpManagement;
