const SDrpManagement = [
  {
    path: '/products',
    name: 'products',
    meta: {
      title: '商品档案',
      ast_nav:true
    },
    component: () => import(/* webpackChunkName: "about" */ '@/SDrpManagement/Products/index.vue')
  },
  {
    path: '/ProductDetails',
    name: 'products',
    meta: {
      title: '商品详情',
      ast_nav:true,
      keeproute: true
    },
    component: () => import(/* webpackChunkName: "about" */ '@/SDrpManagement/Products/modules/ProductDetails.vue')
  },
  {
    path: '/shopCart',
    name: 'shopCart',
    meta: {
      title: '购物车',
      ast_nav:true,
      keeproute: true
    },
    component: () => import(/* webpackChunkName: "about" */ '@/SDrpManagement/shopCart/index.vue')
  },
  {
    path: '/productgroup',
    name: 'productgroup',
    meta: {
      title: '商品组查询',
      ast_nav:true,
      keeproute: true
    },
    component: () => import(/* webpackChunkName: "about" */ '@/SDrpManagement/ProductGroup/index')
  },
  {
    path: '/groupDetail',
    name: 'groupDetail',
    meta: {
      title: '商品组详情',
      ast_nav:true,
      keeproute: true
    },
    component: () => import(/* webpackChunkName: "about" */ '@/SDrpManagement/ProductGroup/modules/GroupDetail/groupDetail')
  },
  {
    path: '/order',
    name: 'order',
    meta: {
      title: '订货订单',
      ast_nav:true,
      keeproute: true
    },
    component: () => import(/* webpackChunkName: "about" */ '@/SDrpManagement/agentOrder/index'),
    children:[
      {
        path: '/agent_orderDetails',
        name: 'order',
        meta: {
          title: '订货订单',
          ast_nav:true,
          keeproute: true
        },
        component: () => import(/* webpackChunkName: "about" */ '@/SDrpManagement/agentOrder/details/index')
      }
    ]
  },
  {
    path: '/ordersaler',
    name: 'ordersaler',
    meta: {
      title: '订货订单(业务员)',
      ast_nav:true,
      keeproute: true
    },
    component: () => import(/* webpackChunkName: "about" */ '@/SDrpManagement/salerOrder/index'),
    children:[
      {
        path: '/saler_orderDetails',
        name: 'ordersaler',
        meta: {
          title: '订货订单(业务员)',
          ast_nav:true,
          keeproute: true
        },
        component: () => import(/* webpackChunkName: "about" */ '@/SDrpManagement/salerOrder/details/index')
      }
    ]
  },
  {
    path: '/salerPrivatecustomer',
    name: 'salerPrivatecustomer',
    meta: {
      title: '客户',
      ast_nav:true,
      keeproute: true
    },
    component: () => import(/* webpackChunkName: "about" */ '@/SDrpManagement/salerPrivatecustomer/index'),
    children:[
      {
        path: '/customerDetail',
        name: 'salerPrivatecustomer',
        meta: {
          title: '客户详情',
          ast_nav:true,
          keeproute: true
        },
        component: () => import(/* webpackChunkName: "about" */ '@/SDrpManagement/salerPrivatecustomer/detail/customerDetail')
      }
    ]
  },
  {
    path: '/quotedprice',
    name: 'quotedprice',
    meta: {
      title: "项目报价",
      ast_nav:true,
      keeproute: true
    },
    component: () => import(/* webpackChunkName: "about" */ '@/SDrpManagement/QuotedPrice/index'),
    children:[
      {
        path: '/quotedPriceDetail',
        name: 'quotedprice',
        meta: {
          title: "项目报价详情",
          ast_nav:true,
          keeproute: true
        },
        component: () => import(/* webpackChunkName: "about" */ '@/SDrpManagement/QuotedPrice/detail/index')
      },
      {
        path: '/quotedPriceCopy',
        name: 'quotedprice',
        meta: {
          title: "项目报价复制",
          ast_nav:true,
          keeproute: true
        },
        component: () => import(/* webpackChunkName: "about" */ '@/Form/QuotedPrice/editCopy')
      },
    ]
  },
  {
    path: '/sinvoiceapp',
    name:'sinvoiceapp',
    meta: {
      title: '开票申请',
      ast_nav: true,
      keeproute: true,
    },
    component: () => import(/* webpackChunkName: "about" */ '@/SDrpManagement/sinvoiceapp/index'),
    children: [
      {
        path: '/sinvoiceDetail',
        name:'sinvoiceapp',
        meta: {
          title: '开票申请单详情',
          ast_nav: true,
          keeproute: true,
        },
        component: () => import(/* webpackChunkName: "about" */ '@/SDrpManagement/sinvoiceapp/detail/detail')
      },
    ]
  },
  {
    path: '/toolBorrowing',
    name:'toolBorrowing',
    meta: {
      title: '工具借用',
      ast_nav: true,
      keeproute: true,
    },
    component: () => import(/* webpackChunkName: "about" */ '@/SDrpManagement/toolBorrowing/index'),
    children: [
      {
        path: '/toolBorrowingDetail',
        name:'toolBorrowing',
        meta: {
          title: '工具借用',
          ast_nav: true,
          keeproute: true,
        },
        component: () => import(/* webpackChunkName: "about" */ '@/SDrpManagement/toolBorrowing/detail')
      },
    ]
  },
  {
    path: '/toolBorrowing_saler',
    name:'toolBorrowing_saler',
    meta: {
      title: '工具借用',
      ast_nav: true,
      keeproute: true,
    },
    component: () => import(/* webpackChunkName: "about" */ '@/SDrpManagement/salerToolBorrowing/index'),
    children: [
      {
        path: '/toolBorrowing_salerDetail',
        name:'toolBorrowing_saler',
        meta: {
          title: '工具借用',
          ast_nav: true,
          keeproute: true,
        },
        component: () => import(/* webpackChunkName: "about" */ '@/SDrpManagement/salerToolBorrowing/detail')
      },
    ]
  },
  {
    path: '/performanceGoals',
    name:'performanceGoals',
    meta: {
      title: '业绩目标',
      ast_nav: true,
      keeproute: true,
    },
    component: () => import(/* webpackChunkName: "about" */ '@/SDrpManagement/performanceGoals/index')
  },
  {
    path: '/performanceGoals_saler',
    name:'performanceGoals_saler',
    meta: {
      title: '业绩目标',
      ast_nav: true,
      keeproute: true,
    },
    component: () => import(/* webpackChunkName: "about" */ '@/SDrpManagement/performanceGoals_saler/index')
  },
  {
    path: '/rebateset',
    name:'rebateset',
    meta: {
      title: '居间费结算',
      ast_nav: true,
      keeproute: true,
    },
    component: () => import(/* webpackChunkName: "about" */ '@/SDrpManagement/rebatesettlement/index')
  },
  {
    path: '/myaccountclass',
    name:'myaccountclass',
    meta: {
      title: '我的账户',
      ast_nav: true,
      keeproute: true,
    },
    component: () => import(/* webpackChunkName: "about" */ '@/SDrpManagement/myaccountclass/index')
  },
]
export default SDrpManagement