const SManagement = [{
  path: '/notice_list',
  name: 'notice',
  meta: {
    title: '通告',
    ast_nav: true
  },
  component: () => import(/* webpackChunkName: "about" */ '@/SManagement/notice/index.vue'),
  children: [
    {
      path: '/notice_detail',
      name: 'notice',
      meta: {
        title: '通告详情',
        ast_nav: true,
        keeproute: true
      },
      component: () => import(/* webpackChunkName: "about" */ '@/SManagement/notice/notice_detail/NoticeDetail')
    }
  ]
}, {
  path: '/archives_list',
  name: 'archives',
  meta: {
    title: ' 营销物料列表',
    ast_nav: true
  },
  component: () => import(/* webpackChunkName: "about" */ '@/SManagement/archives/index.vue')
}, {
  path: '/archivesmag_list',
  name: 'archivesmag',
  meta: {
    title: ' 营销物料收藏',
    ast_nav: true
  },
  component: () => import(/* webpackChunkName: "about" */ '@/SManagement/archivesmag/index.vue')
}, {
  path: '/archives_ad_list',
  name: 'archives_ad',
  meta: {
    title: ' 素材推广',
    ast_nav: true,
    upload: true
  },
  component: () => import(/* webpackChunkName: "about" */ '@/SManagement/archives_ad/index.vue')
}, {
  path: '/archives_admag',
  name: 'archives_admag',
  meta: {
    title: ' 素材',
    ast_nav: true,
    upload: true
  },
  component: () => import(/* webpackChunkName: "about" */ '@/SManagement/archives_admag/index.vue'),
  children: [
    {
      path: '/upload_archives_y',
      name: 'archives_admag',
      meta: {
        title: '上传素材',
        ast_nav: true,
        keeproute: true
      },
      component: () => import(/* webpackChunkName: "about" */ '@/SManagement/archives_upload/index.vue')
    },
  ]
}, {
  path: '/archives_sc_list',
  name: 'archives_sc',
  meta: {
    title: '商学院',
    ast_nav: true
  },
  component: () => import(/* webpackChunkName: "about" */ '@/SManagement/archives_sc/index.vue')
}, {
  path: '/submitedit_one',
  name: 'submitedit',
  meta: {
    title: '提报',
    ast_nav: true
  },
  component: () => import(/* webpackChunkName: "about" */ '@/SManagement/submitedit_one/index'),
  children: [
    {
      path: '/submiteditmag_detail_one',
      name: 'submiteditmag',
      meta: {
        title: '提报详情',
        ast_nav: true,
        keeproute: true
      },
      component: () => import(/* webpackChunkName: "about" */ '@/SManagement/submitedit_details/index')
    }
  ]
}, {
  path: '/submitedit_more',
  name: 'submiteditmag',
  meta: {
    title: '提报',
    ast_nav: true
  },
  component: () => import(/* webpackChunkName: "about" */ '@/SManagement/submitedit_more/index'),
  children: [
    {
      path: '/submiteditmag_detail',
      name: 'submiteditmag',
      meta: {
        title: '提报详情',
        ast_nav: true,
        keeproute: true
      },
      component: () => import(/* webpackChunkName: "about" */ '@/SManagement/submitedit_details/index')
    }
  ]
}, {
  path: '/refresh',
  name: 'refresh',
  meta: {
    title: '刷新',
    ast_nav: true
  },
},
{
  path: '/user_center',
  name: 'usercenter',
  meta: {
    title: '个人中心',
    ast_nav: false
  },
  component: () => import(/* webpackChunkName: "about" */ '@/SManagement/user/user-info/UserInfo')
},
{
  path: '/setenterpriseInfo',
  name: 'setenterpriseInfo',
  meta: {
    title: '企业信息',
    ast_nav: false
  },
  component: () => import(/* webpackChunkName: "about" */ '@/SManagement/setenterpriseInfo/index')
},
{
  path: '/team_managent',
  name: 'teamManagent',
  meta: {
    title: '团队管理',
    ast_nav: true
  },
  component: () => import(/* webpackChunkName: "about" */ '@/SManagement/user/team-manage/TeamManage')
},
{
  path: '/role_managent',
  name: 'roleManagent',
  meta: {
    title: '角色管理',
    ast_nav: true
  },
  component: () => import(/* webpackChunkName: "about" */ '@/SManagement/user/role-manage/RoleManage'),
  children: [
    {
      path: '/role_edit',
      name: 'roleManagent',
      meta: {
        title: '角色操作',
        ast_nav: true,
        keeproute: true
      },
      component: () => import(/* webpackChunkName: "about" */ '@/SManagement/user/role-edit/RoleEdit')
    },
  ]
},
{
  path: '/message',
  name: 'message',
  meta: {
    title: '消息中心',
    ast_nav: false
  },
  component: () => import(/* webpackChunkName: "about" */ '@/views/message/index')
},
{
  path: '/orderclue',
  name: 'orderclue',
  meta: {
    title: '线索池',
    ast_nav: true
  },
  component: () => import(/* webpackChunkName: "about" */ '@/SManagement/orderclue/index'),
  children:[
    {
      path: '/orderclue_detail',
      name: 'orderclue',
      meta: {
        title: '线索详情',
        ast_nav:true,
        keeproute: true
      },
      component: () => import(/* webpackChunkName: "about" */ '@/SManagement/orderclue_detail/index')
    }
  ]
},{
  path: '/sm_projectTarget',
  name: 'projectTarget',
  meta: {
    title: '项目目标',
    ast_nav: true,
    keeproute:true
  },
  component: () => import(/* webpackChunkName: "about" */ '@/SManagement/project_target/index'),
  children: [
    {
      path: '/projectDetail',
      name: 'projectTarget',
      meta: {
        title: '项目详情',
        ast_nav: true,
        keeproute:true
      },
      component: () => import(/* webpackChunkName: "about" */ '@/SManagement/project_target/modules/detailInfo')
    },
    {
      path: '/editProjectInfo',
      name: 'projectTarget',
      meta: {
        title: '编辑项目目标',
        ast_nav: true,
        keeproute:true
      },
      component: () => import(/* webpackChunkName: "about" */ '@/SManagement/project_target/modules/editInfo')
    },
  ]
},
{
  path: '/sm_personalTarget',
  name: 'smPersonalTarget',
  meta: {
    title: '人员目标',
    ast_nav: true,
    keeproute:true
  },
  component: () => import(/* webpackChunkName: "about" */ '@/SManagement/personal_target/index'),
  children: [
    {
      path: '/PersonalDetail',
      name: 'smPersonalTarget',
      meta: {
        title: '人员目标详情',
        ast_nav: true,
        keeproute:true
      },
      component: () => import(/* webpackChunkName: "about" */ '@/SManagement/personal_target/modules/detail')
    },
  ]
},
{
  path: '/sm_sales_forecast',
  name: 'salesForecast',
  meta: {
    title: '销售预测',
    ast_nav: true,
    keeproute:true
  },
  component: () => import(/* webpackChunkName: "about" */ '@/SManagement/sales_forecast/index'),
  children: [
    {
      path: '/product_detail',
      name: 'salesForecast',
      meta: {
        title: '模板详情',
        ast_nav: true,
        keeproute:true
      },
      component: () => import(/* webpackChunkName: "about" */ '@/SManagement/sales_forecast/modules/modelDetail')
    },
  ]
},
]
export default SManagement